[Deprecated] Always empty; saves now come back from the Given and All routes.
Deprecated
POST
/activities/profile/saved-posts
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/activities/profile/saved-posts"), Content = new StringContent("{ \"userkey\": \"example\", \"cursor\": 1, \"limit\": 50 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/activities/profile/saved-posts"
payload := strings.NewReader("{ \"userkey\": \"example\", \"cursor\": 1, \"limit\": 50 }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"userkey\": \"example\", \"cursor\": 1, \"limit\": 50 }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/activities/profile/saved-posts") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/activities/profile/saved-posts', headers: {'Content-Type': 'application/json'}, data: {userkey: 'example', cursor: 1, limit: 50}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/activities/profile/saved-posts';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"userkey":"example","cursor":1,"limit":50}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/activities/profile/saved-posts";
let payload = json!({ "userkey": "example", "cursor": 1, "limit": 50 });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/activities/profile/saved-posts \ --header 'Content-Type: application/json' \ --data '{ "userkey": "example", "cursor": 1, "limit": 50 }'wget --quiet \ --method POST \ --header 'Content-Type: application/json' \ --body-data '{ "userkey": "example", "cursor": 1, "limit": 50 }' \ --output-document \ - https://api.ethos.network/api/v2/activities/profile/saved-postsRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
userkey
required
string
cursor
integer
limit
integer
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
nextCursor
required
number | null
values
required
Array<object>
object
Example generated
{ "nextCursor": 1, "values": [ {} ]}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}